# Guidelines for contributing to McStasScript

This document describes how to contribute to McStasScript. The preferred method is to open a pull request on the GitHub page. The list below acts as a checklist of things to consider before creating the pull request. Since the manual is currently on overleaf, there is no way to directly contribute, so a note on the necessary updates to the manual is appreciated.

* Provide docstrings to new functions / classes
* Update docstrings as necessary
* Adhere to PEP-8 where reasonable
* Include a unit test for new functionality
* Note for updates required to manual 
* Clear Jupyter Notebooks before committing
* Check CI tests passes
* Use flake8 to check code quality, reduce to reasonable number of issues
